import socket

class StubKoji():
    def __init__(self, data):
        self.data = data

    def getBuild(self, nvr):
        if 'error' in self.data.keys():
            raise socket.error(1, 'This is a test error')

        for build in self.data['builds']:
            if build['nvr'] == nvr:
                return build

        print "Couldn't find build for %s" % nvr
        print "build data: %s" % self.data['builds']

    def listRPMs(self, buildID):
        rpms = []
        for rpm in self.data['rpms']:
            if rpm['build_id'] == buildID:
                rpms.append(rpm)
        return rpms

